---

minecraft_user: "minecraft"
minecraft_parent_dir: "/opt"
minecraft_motd: "A Minecraft Server"
minecraft_mem: "2G"
minecraft_seed: ""
minecraft_difficulty: "hard"
minecraft_whitelist: "true"
minecraft_view_distance: "10"
minecraft_world_name: "world"
minecraft_dir: "{{minecraft_parent_dir}}/minecraft/{{minecraft_world_name}}"
minecraft_url: "https://papermc.io/api/v2/projects/paper/versions/{{minecraft_paper_version}}/builds/{{minecraft_paper_build}}/downloads/paper-{{minecraft_paper_version}}-{{minecraft_paper_build}}.jar"

# https://papermc.io
# paper is a spigot derivative
minecraft_paper_version: "1.19.3"
minecraft_paper_build: "420"

minecreat_plugins_enabled:
  - "dynmap"
  - "geyser"

# https://www.reddit.com/r/Dynmap/
minecraft_dynmap_version: "3.4"
minecraft_dynmap_url: "http://dynmap.us/builds/dynmap/Dynmap-{{minecraft_dynmap_version}}-spigot.jar"

# https://geysermc.org
# https://ci.opencollab.dev/job/GeyserMC/view/default/builds
minecraft_geyser_version: "1306"
minecraft_geyser_url: "https://ci.opencollab.dev/job/GeyserMC/job/Geyser/job/master/{{minecraft_geyser_version}}/artifact/bootstrap/spigot/build/libs/Geyser-Spigot.jar"
